using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Application
{
    [Table("bs_house_company")]
    [Comment("房屋相关单位表")]
    public class BsHouseCompany : Core.DEntityBase
    {
        /// <summary>
        /// 单位类型，多选
        /// </summary>
        [Comment("单位类型，多选")]
        [MaxLength(20)]
        public string Type { get; set; }

        /// <summary>
        /// 单位名称
        /// </summary>
        [Comment("单位名称")]
        [MaxLength(200)]
        public string Name { get; set; }

        /// <summary>
        /// 信息
        /// </summary>
        [Comment("信息")]
        public string Info { get; set; }
    }
}
